POST api/cabreaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

CabReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

Required

String length: inclusive between 0 and 100

cab_reader_type_id

globally unique identifier

Required

port_com

integer

None.

baudrate

integer

None.

handshake

integer

Required

read_time_out

integer

None.

write_time_out

integer

None.

pc_id

globally unique identifier

None.

active

boolean

Required

site_id

globally unique identifier

Required

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

Request Formats

application/json, text/json

Sample:
{
  "id": "e21517bc-3be1-4b02-b563-8602ec6d11bb",
  "name": "sample string 2",
  "cab_reader_type_id": "372e4d1d-509c-40ec-a16d-bd0a7ccbdff2",
  "port_com": 1,
  "baudrate": 1,
  "handshake": 4,
  "read_time_out": 1,
  "write_time_out": 1,
  "pc_id": "47769f9c-8f96-4e71-b505-3d286db32916",
  "active": true,
  "site_id": "b382c9fe-7972-4d21-b45a-2abe064c2cf1",
  "parity": 7,
  "data_bits": 8,
  "stop_bits": 9
}

application/xml, text/xml

Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <baudrate>1</baudrate>
  <cab_reader_type_id>372e4d1d-509c-40ec-a16d-bd0a7ccbdff2</cab_reader_type_id>
  <data_bits>8</data_bits>
  <handshake>4</handshake>
  <id>e21517bc-3be1-4b02-b563-8602ec6d11bb</id>
  <name>sample string 2</name>
  <parity>7</parity>
  <pc_id>47769f9c-8f96-4e71-b505-3d286db32916</pc_id>
  <port_com>1</port_com>
  <read_time_out>1</read_time_out>
  <site_id>b382c9fe-7972-4d21-b45a-2abe064c2cf1</site_id>
  <stop_bits>9</stop_bits>
  <write_time_out>1</write_time_out>
</cab_reader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"80e0814b-c508-4dab-9b4a-87c04f638425"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">80e0814b-c508-4dab-9b4a-87c04f638425</guid>